Package be.ehealth.businessconnector.hub.service

# Interface IntraHubTransactionService

All Known Implementing Classes:
  `IntraHubTransactionServiceImpl`

public interface IntraHubTransactionService
Interface for Transactions specific intrahub services Contains basic requests for this kind of services Default impl : `IntraHubTransactionServiceImpl`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IDKMEHR>`
  `declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader)`
  Declare transaction.
  `Kmehrmessage`
  `getTransaction(PatientIdType patient, TransactionBaseType transaction)`
  Gets the transaction.
  `KmehrHeaderGetTransactionList`
  `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction)`
  Gets the transaction list.
  `void`
  `putTransaction(Kmehrmessage kmehrHeader)`
  Put transaction.
  `void`
  `requestPublication(PatientIdType patient, TransactionWithPeriodType transaction, String comment)`
  Request publication.
  `void`
  `revokeTransaction(PatientIdType patient, TransactionIdType transaction)`
  Revoke transaction.

- ## Method Details

  - ### declareTransaction

    List<IDKMEHR> declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Declare transaction.
    Parameters:
      `kmehrHeader` - the kmehr header
    Returns:
      the collection

  - ### putTransaction

    void putTransaction(Kmehrmessage kmehrHeader) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Put transaction.
    Parameters:
      `kmehrHeader` - the kmehr header

  - ### revokeTransaction

    void revokeTransaction(PatientIdType patient, TransactionIdType transaction) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Revoke transaction.
    Parameters:
      `patient` - the patient
      `transaction` - the transaction

  - ### getTransactionList

    KmehrHeaderGetTransactionList getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Gets the transaction list.
    Parameters:
      `patient` - the patient
      `searchType` - the search type
      `transaction` - the transaction
    Returns:
      the transaction list

  - ### getTransaction

    Kmehrmessage getTransaction(PatientIdType patient, TransactionBaseType transaction) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Gets the transaction.
    Parameters:
      `patient` - the patient
      `transaction` - the transaction
    Returns:
      the transaction

  - ### requestPublication

    void requestPublication(PatientIdType patient, TransactionWithPeriodType transaction, String comment) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Request publication.
    Parameters:
      `patient` - the patient
      `transaction` - the transaction
      `comment` - the comment